Status: Closed   

Priority: Normal   

Assignee:    

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link: 1701062 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1701062

Description of problem:

When generating reports in Satellite 6.5 web interface, the generated reports  have a ".txt" file extension.  It would be nice if the user

could specify what file extension the report should be created with (for example, ".csv", or ".html") so that the web browser could

open the report in the appropriate application.

Version-Release number of selected component (if applicable):  Satellite 6.5 Beta

Steps to Reproduce:

1.  Generate report from Satellite 6.5 web interface

Actual results:

Generated file has .txt extension

Expected results:

Ability to specify the file extension on a per-report basis, so that ".csv", ".html", etc. could be specified for the file extension.

Related issues:

Related to Foreman - Feature #25732: Generated report file has MIME type text... Closed

Associated revisions

Revision e278f236 - 10/09/2019 01:54 AM - Marek Hulán

Fixes #25732, #26641 - report mimetypes and format (#6875)

Fixes #25732, #26641 - report mimetypes and format

Detect whether a template supports selection of format by using

report_render macro. If it does, allow a user to chose one of the

supported format. If not use plain text.

History

#1 - 04/18/2019 07:18 AM - Marek Hulán

- Subject changed from - Ability to set the file extension for generated Satellite 6.5 reports

 to - Ability to set the file extension for generated Satellite 6.5 reports

This will most likely be fixed with https://projects.theforeman.org/issues/25732, I think we should be able to select what formats are available for a

given report template if more than one is assigned, during rendering, user should be able to choose one of them. That should also set the correct

mime/type and file suffix.

#2 - 04/18/2019 07:19 AM - Marek Hulán

- Related to Feature #25732: Generated report file has MIME type text/plain added

#3 - 10/09/2019 01:54 AM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1701062
https://projects.theforeman.org/issues/25732


- Fixed in Releases 1.24.0 added

#4 - 10/09/2019 02:01 AM - Marek Hulán

- Status changed from New to Closed

Applied in changeset e278f23614b97e8d4aa020a4d471dbaf077b73bc.

#5 - 11/03/2019 02:01 PM - Tomer Brisker

- Subject changed from - Ability to set the file extension for generated Satellite 6.5 reports to - Ability to set the file extension for generated reports

#6 - 11/03/2019 02:01 PM - Tomer Brisker

- Subject changed from - Ability to set the file extension for generated reports to Ability to set the file extension for generated reports

#7 - 03/05/2020 12:19 PM - Tomer Brisker

- Category changed from Statistics to Reporting
